English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Functions

The `google.appengine.api.namespace_manager` package provides the following functions:

get_namespace()

  Returns the current namespace, or returns an empty string if the namespace is unset.

google_apps_namespace()
  Returns the Google Apps domain referring this request.
set_namespace(namespace)

  Sets the namespace for the current HTTP request.

  Arguments:

  namespace
    A string naming the new namespace to use. A value of `None` unsets the default namespace value. Namespace strings must match the regular expression ([0-9A-Za-z._-]{0,100}).
validate_namespace(value, exception=BadValueError)

  Raises the BadValueError exception if the namespace string is not valid.

  Arguments:

  value
    A string containing the namespace being evaluated. Raises the BadValueError exception if the string does not match the regular expression `([0-9A-Za-z._-]{0,100})`.
  exception=BadValueError
    The exception type to raise. BadValueError is the only available exception type in namespaces.